//Knowledgedump.org - Text Converter

#ifndef TEXT_CONVERTER_H
#define TEXT_CONVERTER_H

#include <QWidget>
#include <QFileDialog>
#include <QMessageBox>
#include <QTextStream>
#include <QClipboard>

namespace Ui {
	class Text_converter;
}

class Text_converter : public QWidget
{
	Q_OBJECT

public:
	explicit Text_converter(QWidget *parent = nullptr);
	~Text_converter();
	void init();

private slots:
	void on_save_button_clicked();
	void on_load_button_clicked();
	void on_paste_button_clicked();
	void on_convert_button_clicked();
	void on_copy_button_clicked();

private:
	Ui::Text_converter *ui;
};

#endif // TEXT_CONVERTER_H
